{
  "private": true,
  "license": "MIT",
  "workspaces": [
    "packages/base-components/*",
    "packages/extend-components/*"
  ],
  "scripts": {
    "bootstrap": "node ./scripts/bootstrap.js",
    "build": "npm run build-lib && webpack && node ./scripts/gen_less_entry.js",
    "build-lib": "cross-env BUILD_TYPE=lib father-build && cross-env BUILD_TYPE=es father-build",
    "changelog": "pro-changelog",
    "createRelease": "node ./scripts/createRelease.js",
    "deploy": "npm run site && gh-pages -d ./dist",
    "lint": "eslint --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./packages && npm run lint:prettier",
    "lint:prettier": "npm run prettier &&  git diff && prettier --version && prettier --check \"packages/**/**.{js,jsx,tsx,ts,less,md,json}\" --end-of-line auto",
    "prettier": "prettier --write \"**/**.{js,jsx,tsx,ts,less,md,json}\"",
    "release": "node ./scripts/release.js  --skipBuild",
    "release-skipBuild": "node ./scripts/release.js  --skipBuild",
    "size:build": "cross-env PRO_COMPONENTS_CI='CI'  webpack",
    "start": "dumi dev",
    "site": "dumi build",
    "size": "npm run build && size-limit",
    "tsc:duplicate": "tsc -p ./tests/tsconfig.duplicate.json",
    "sync:tnpm": "node -e 'require(\"./scripts/syncTNPM\")()'",
    "test": "umi-test",
    "test:coverage": "umi-test --coverage",
    "test:update": "umi-test --updateSnapshot",
    "update:deps": "yarn upgrade-interactive --latest",
    "dev": "webpack-dev-server --config webpack.host.js"
  },
  "browserslist": [
    "last 2 versions",
    "Firefox ESR",
    "> 1%",
    "ie >= 11"
  ],
  "devDependencies": {
    "@ant-design/icons": "^4.6.2",
    "@ant-design/pro-skeleton": "^1.0.0-beta.2",
    "@babel/core": "^7.8.3",
    "@babel/plugin-proposal-object-rest-spread": "^7.8.3",
    "@babel/plugin-transform-runtime": "^7.17.10",
    "@babel/preset-env": "^7.8.3",
    "@babel/preset-react": "^7.8.3",
    "@babel/preset-typescript": "^7.8.3",
    "@babel/runtime": "^7.17.9",
    "@octokit/core": "^3.2.5",
    "@size-limit/preset-big-lib": "^4.5.5",
    "@testing-library/react": "^10.0.2",
    "@testing-library/react-hooks": "^3.2.1",
    "@types/classnames": "^2.2.7",
    "@types/enzyme": "^3.10.3",
    "@types/history": "^4.7.7",
    "@types/jest": "^26.0.0",
    "@types/memoize-one": "^5.1.2",
    "@types/mockjs": "^1.0.3",
    "@types/node": "^14.0.26",
    "@types/react": "^16.9.17",
    "@types/react-dom": "^16.9.1",
    "@types/react-helmet": "^6.0.0",
    "@types/react-intl": "^3.0.0",
    "@types/react-responsive": "^8.0.1",
    "@types/react-router-dom": "^5.1.0",
    "@types/warning": "^3.0.0",
    "@types/xhr-mock": "^2.0.0",
    "@umijs/babel-preset-umi": "^3.0.14",
    "@umijs/doctor": "^0.0.16",
    "@umijs/fabric": "^2.0.0",
    "@umijs/plugin-analytics": "^0.2.2",
    "@umijs/plugin-antd": "^0.9.0",
    "@umijs/test": "^3.2.10",
    "@umijs/test-utils": "^3.2.10",
    "@umijs/utils": "^3.2.11",
    "antd": "^4.13.1",
    "babel-loader": "^8.1.0",
    "babel-plugin-import": "^1.12.2",
    "body-parser": "^1.18.2",
    "chalk": "^4.1.0",
    "cross-env": "^7.0.2",
    "css-loader": "^5.0.2",
    "css-minimizer-webpack-plugin": "^1.2.0",
    "dumi": "^1.1.6",
    "enzyme": "^3.11.0",
    "enzyme-to-json": "^3.4.3",
    "eslint": "^7.2.0",
    "father-build": "^1.18.1",
    "gh-pages": "^3.1.0",
    "github": "^9.2.0",
    "glob": "^7.1.6",
    "jest": "^26.2.2",
    "jest-canvas-mock": "^2.3.1",
    "jest-fetch-mock": "^3.0.3",
    "jsdom": "^16.4.0",
    "jsdom-global": "^3.0.2",
    "lerna": "^3.22.1",
    "lerna-changelog": "^1.0.1",
    "less-loader": "^8.0.0",
    "lint-staged": "^10.0.2",
    "mini-css-extract-plugin": "^1.3.8",
    "mockdate": "^3.0.2",
    "mockjs": "^1.1.0",
    "moment": "^2.27.0",
    "moment-timezone": "^0.5.31",
    "np": "^6.1.0",
    "npm-run-all": "^4.1.5",
    "pify": "^5.0.0",
    "prettier": "^2.2.1",
    "prettier-plugin-jsdoc": "^0.2.13",
    "prettier-plugin-style-order": "^0.2.2",
    "pretty-quick": "^3.0.1",
    "pro-changelog": "^1.0.0",
    "progress-bar-webpack-plugin": "^2.1.0",
    "query-string": "^6.13.6",
    "react": "^16.0.0",
    "react-darkreader": "^1.3.3",
    "react-dom": "^16.0.0",
    "react-lazyload": "^3.0.0",
    "react-markdown": "^4.3.0",
    "react-test-renderer": "^16.9.0",
    "size-limit": "^4.6.2",
    "slash2": "^2.0.0",
    "style-loader": "^2.0.0",
    "stylelint": "^13.0.0",
    "swiper": "^6.8.1",
    "terser-webpack-plugin": "^5.1.1",
    "typescript": "^4.1.2",
    "umi": "^3.5.20",
    "umi-request": "^1.3.5",
    "umi-test": "^1.9.6",
    "umi-types": "^0.5.11",
    "url-loader": "^4.1.1",
    "webpack": "^5.24.2",
    "webpack-bundle-analyzer": "^4.4.0",
    "webpack-cli": "^4.5.0",
    "write-pkg": "^4.0.0",
    "xhr-mock": "^2.5.1",
    "yorkie": "^2.0.0"
  },
  "gitHooks": {
    "pre-commit": "pretty-quick --staged",
    "commit-msg": "node scripts/verifyCommit.js"
  },
  "publishConfig": {
    "registry": "https://g.civnet.cn:4873"
  },
  "dependencies": {
    "@babel/plugin-proposal-private-methods": "^7.18.6",
    "@wisdom-components/basictable": "^1.5.14",
    "@wisdom-components/ec_historyview": "^1.4.3",
    "@wisdom-components/empty": "^1.3.9",
    "@wisdom-components/exportexcel": "^1.1.2",
    "@wisdom-components/loadbox": "1.1.4",
    "@wisdom-components/timerangepicker": "^1.3.4",
    "@wisdom-components/videoslidermodal": "1.1.2",
    "@wisdom-components/VmsVideo": "1.1.13",
    "@wisdom-utils/utils": "0.0.46",
    "antd-mobile": "5.10.4",
    "axios": "^1.4.0",
    "classnames": "^2.2.6",
    "cross-spawn": "^7.0.3",
    "echarts": "^5.4.0",
    "echarts-for-react": "^3.0.2",
    "ezuikit-js": "^7.6.3",
    "file-loader": "^6.2.0",
    "form-render": "^0.9.12",
    "highcharts": "^9.0.1",
    "highcharts-react-official": "^3.0.0",
    "install": "^0.13.0",
    "js-export-excel": "^1.1.4",
    "jszip": "^3.5.0",
    "less": "^3.13.1",
    "mqtt-client": "^1.0.12",
    "npm": "^9.6.4",
    "optimize-css-assets-webpack-plugin": "^6.0.1",
    "parseForm": "1.0.0",
    "react-redux": "^8.0.5",
    "react-resizable": "^3.0.4",
    "sha1": "^1.1.1"
  },
  "size-limit": [
    {
      "path": "packages/base-components/BasicTable/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/BasicTable/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/BasicTools/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/BasicTools/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/DeviceTree/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/DeviceTree/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/Empty/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/Empty/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/ExportExcel/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/ExportExcel/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/HistoryInfo/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/HistoryInfo/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/ImageSelect/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/ImageSelect/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/MqttView/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/MqttView/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/ParseForm/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/ParseForm/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/QuotaSelect/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/QuotaSelect/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/RealTimeInfo/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/RealTimeInfo/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/TimeRangePicker/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/TimeRangePicker/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/RichText/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/RichText/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/DataCarousel/lib/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    },
    {
      "path": "packages/base-components/DataCarousel/es/**/*.js",
      "limit": "2 s",
      "webpack": false,
      "running": false
    }
  ],
  "name": "wisdom-components"
}
